@import '../../_content/Radzen.Blazor/css/standard.css';

:root {
    --eInsightsBlue: #219CBA;
    --eInsightsMediumBlue: #24aacb;
    --eInsightsLightBlue: #bfe9f4;
    --eInsightsDarkBlue: #022F46;
    --eInsightsOrange: #EB7D00;
    --eInsightsLightOrange: #ffa33a;
    --eInsightsVeryLightOrange: #ffe3c4;
    --eInsightsYellow: #F0AC00;
    --eInsightsLightYellow: #ffd467;
    --eInsightsMediumYellow: #ffc93f;
    --eInsightsLightGreen: #00d773;
    --eInsightsDarkEmphasis: #ffb562;
    --eInsightsLightEmphasis: #ffc889;
    --primary: var(--eInsightsBlue);
    --secondary: var(--eInsightsOrange);
    --success: #009B51;
    --danger: #f31155;
    --attention: #C70000;
    --noAction: #AFAFB2;
    /* Sidebar */
    --rz-panel-menu-item-2nd-level-background-color: var(--eInsightsMediumBlue);
    --rz-panel-menu-item-2nd-level-hover-background-color: var(--eInsightsOrange);
    /* Grid */
    --rz-grid-selected-color: var(--rz-base-800);
    --rz-grid-hover-background-color: var(--eInsightsLightYellow);
    --rz-grid-hover-color: var(--rz-base-800);
    --rz-grid-apply-filter-button-background-color: var(--eInsightsMediumBlue);
    --rz-grid-header-filter-icon-active-color: var(--eInsightsOrange);
    /* Links*/
    --rz-link-color: var(--eInsightsBlue);
    --rz-link-hover-color: var(--rz-base-800);
    /* Tabs */
    --rz-tabs-tab-selected-color: var(--eInsightsBlue);
    --rz-tabs-tab-hover-color: var(--rz-base-800);
    --rz-tabs-tab-selected-top-border-color: var(--eInsightsBlue);
    /* Paging */
    --rz-pager-numeric-button-hover-background-color: var(--eInsightsLightYellow);
    --rz-pager-numeric-button-selected-background-color: var(--eInsightsBlue);
    --rz-pager-numeric-button-selected-color: white;
    /* Dropdown */
    --rz-dropdown-item-selected-background-color: var(--eInsightsLightYellow);
    --rz-dropdown-item-selected-color: var(--rz-base-800);
    --rz-dropdown-item-hover-background-color: var(--eInsightsLightYellow);
    --rz-dropdown-item-hover-color: var(--rz-base-800);
    /* Date Picker */
    --rz-datepicker-calendar-today-color: white;
    --rz-datepicker-calendar-today-background-color: var(--eInsightsLightOrange);
    --rz-datepicker-calendar-today-box-shadow: var(--eInsightsLightOrange);
    --rz-datepicker-calendar-hover-background-color: var(--eInsightsLightYellow);
    --rz-datepicker-calendar-hover-color: var(--rz-base-800);
    --rz-datepicker-calendar-selected-background-color: var(--eInsightsBlue);
    --rz-datepicker-calendar-selected-color: white;
    --rz-datepicker-calendar-selected-hover-background-color: var(--eInsightsBlue);
    --rz-datepicker-calendar-selected-hover-color: white;
    /* HTML Editor */
    --rz-editor-button-selected-background-color: var(--eInsightsBlue);
    /* Checkbox */
    --rz-checkbox-checked-border: var(--rz-border-width) solid var(--rz-base-400);
    --rz-checkbox-checked-icon-background-color: white;
    --rz-checkbox-checked-color: var(--eInsightsBlue);
    /* Select Bar */
    --rz-selectbar-selected-background-color: var(--eInsightsBlue);
    --rz-selectbar-selected-color: white;
    /* Rating */
    --rz-rating-selected-color: var(--eInsightsOrange);
    --rz-rating-font-size: 1rem;
    /* Buttons */
    /*--rz-danger: var(--eInsightsLightOrange);
    --rz-danger-lighter: var(--eInsightsVeryLightOrange);*/
}

/* standard.css modifications for January 2024 rebranding */
a {
    color: var(--eInsightsBlue);
}

a:hover {
    color: var(--rz-base-800);
}

::selection {
    background-color: var(--eInsightsLightYellow) !important;
}
/*
.rz-datepicker-calendar td .rz-state-default:hover {
    color: var(--rz-base-800);
    background-color: var(--eInsightsLightYellow);
}*/

/*.rz-datepicker-calendar td .rz-state-active {
    color: #ffffff;
    background-color: var(--eInsightsBlue);*/
}

.rz-datepicker-calendar td .rz-state-active:hover {
    color: #ffffff;
    background-color: var(--eInsightsBlue);
}

.rz-textbox:not(:disabled):not(.rz-state-disabled):hover, .rz-textarea:not(:disabled):not(.rz-state-disabled):hover, .mask:not(:disabled):not(.rz-state-disabled):hover, .rz-dropdown:not(:disabled):not(.rz-state-disabled):hover, .rz-multiselect:not(:disabled):not(.rz-state-disabled):hover, .rz-calendar .rz-inputtext:not(:disabled):not(.rz-state-disabled):hover, .rz-spinner:not(:disabled):not(.rz-state-disabled):hover, .rz-lookup-search input:not(:disabled):not(.rz-state-disabled):hover, .rz-colorpicker:not(:disabled):not(.rz-state-disabled):hover, .rz-textbox:not(:disabled):not(.rz-state-disabled):focus, .rz-textarea:not(:disabled):not(.rz-state-disabled):focus, .mask:not(:disabled):not(.rz-state-disabled):focus, .rz-dropdown:not(:disabled):not(.rz-state-disabled):focus, .rz-multiselect:not(:disabled):not(.rz-state-disabled):focus, .rz-calendar .rz-inputtext:not(:disabled):not(.rz-state-disabled):focus, .rz-spinner:not(:disabled):not(.rz-state-disabled):focus, .rz-lookup-search input:not(:disabled):not(.rz-state-disabled):focus, .rz-colorpicker:not(:disabled):not(.rz-state-disabled):focus, .rz-chkbox-box:hover:not(.rz-state-disabled), .rz-radiobutton-box:hover:not(.rz-state-disabled), .rz-autocomplete:hover:not(.rz-state-disabled) {
    border: 1px solid var(--eInsightsBlue);
}
/* End */


h1, h2, h3, h4, h5, h6 {
  font-weight: 600 !important;
}

hr {
    border-top: 1px solid var(--rz-base-300);
}

p {
    margin-top: 0;
    margin-bottom: 0;
}

body {
    background-image: url('../background.png');
    background-size: cover;
}

.rz-header img {
  height: 40px;
  padding: 2px 12px 2px 0;
}
.rz-panel-menu {
    background-color: var(--primary);
}
.rz-panel-menu .rz-navigation-item-active, .rz-panel-menu .rz-navigation-item-wrapper-active {
    background-color: var(--secondary) !important;
    border-left: 4px solid;
    border-left-color: var(--eInsightsYellow) !important;
}
.rz-panel-menu .rz-navigation-item-active::before, .rz-panel-menu .rz-navigation-item-wrapper-active::before {
    background-color: var(--secondary);
}
.rz-panel-menu .rz-navigation-item-wrapper:hover {
    background-color: var(--secondary);
}
.rz-panel-menu .rz-navigation-item {
  border: none !important;
}
.rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-wrapper {
    background-color: #29b7d9;
}
.rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-wrapper:hover {
    background-color: var(--secondary);
}
.rz-body {
  background-image: url('../background.png');
  background-size: cover;
}
.rz-dialog-titlebar {
  background: none;
}
.rz-dialog {
  background-image: url('../background.png');
  background-size: cover;
}
.rz-grid-filter-icon {
    float: unset;
    vertical-align: bottom;
    color: var(--eInsightsBlue);
}
.rz-sortable-column .rzi-grid-sort {
    color: var(--rz-base-800);
}
.rz-sortable-column {
    vertical-align: bottom;
}
.rz-accordion-header {
    border-top: solid black 1px !important;
}
.rz-accordion-header span {
    color:var(--primary);
}
.rz-progressbar-determinate.rz-progressbar-info {
    color: var(--rz-base-800);
}
.rz-progressbar-determinate.rz-progressbar-info .rz-progressbar-value {
    background-color: var(--eInsightsLightOrange);
    color: var(--rz-base-800);
}
.rz-progressbar-determinate.rz-progressbar-success {
    color: var(--rz-base-800);
}
.rz-progressbar-determinate.rz-progressbar-success .rz-progressbar-value {
    background-color: var(--eInsightsLightGreen);
    color: var(--rz-base-800);
}
.rz-progressbar-indeterminate.rz-progressbar-primary .rz-progressbar-value:before {
    background-color: var(--eInsightsBlue);
}
.rz-progressbar-indeterminate.rz-progressbar-primary .rz-progressbar-value:after {
    background-color: var(--eInsightsBlue);
}
.rz-button.rz-primary.rz-shade-default, .rz-primary.rz-shade-default.rz-paginator-element {
    background-color: var(--primary);
}
.rz-button.rz-secondary, .rz-secondary.rz-paginator-element {
    background-color: var(--eInsightsBlue);
}
.rz-group-row {
    font-weight: 500;
}
.rz-alert-xs {
    --rz-alert-margin: 0.5rem 0 !important;
}

#logoLabel {
    margin-left: 2px;
    font-style: italic;
    font-size: 16px;
}

.einsights-btn {
  color: white !important;
  background-color: var(--primary) !important;
  margin-right: 1em;
}

.einsights-button {
    color: white !important;
    background-color: var(--primary) !important;
}

.einsights-secondary-btn {
  background-color: white !important;
  color: black !important;
  border: 2px solid var(--primary);
}

.einsights-icon {
    color: var(--eInsightsOrange);
    font-size: 22px;
    cursor: default;
}
.einsights-icon-success {
    color: var(--success);
    font-size: 22px;
    cursor: default;
}
.einsights-icon-danger {
    color: var(--danger);
    font-size: 22px;
    cursor: default;
}

.einsights-dialog {
    background-image: none;
}

.einsights-form .rz-textbox, .rz-spinner {
    border-color: var(--rz-base-400);
}

.rz-sidebar-expanded {
  width: 190px;
}

.rz-grid-table td {
    overflow:visible;
}

.rz-cell-data {
    overflow: visible !important;
}

.rz-grid-table-striped tbody tr:not(.rz-expanded-row-content):nth-child(even) > td {
    background-color: #f0f0f0
}

.rz-datatable-odd > td {
    background-color: #f0f0f0;
}

.noHeaderGrid .rz-grid-table thead {
    display: none;
}

.navGrid .rz-grid-table td:hover:not(.nonClickable) {
    cursor: pointer;
    background: var(--eInsightsLightYellow) !important;
}

/* Grid header */
    .rz-datatable-thead th, .rz-grid-table thead th {
    background-color: var(--rz-base-400);
}

.rz-column-title {
    line-height: 1.25rem !important;
}
.rz-button {
    min-height: 1.25rem !important;
}

.rz-chkbox-box {
    border: 1px solid var(--rz-base-400);
}

/* Login page */
#loginLogo {
    margin: auto;
    display: block;
}

.logoSubText {
    text-align: center;
    font-style: italic;
    font-size: 16px;
    padding-bottom: 4rem;
}

.loginFormCard {
  margin: 1em auto;
  width: 350px;
  height: 325px;
}

.loginFormCard .rz-heading {
  font-style: normal;
  font-weight: normal;
}

.mfaFormCard {
    margin: 1em auto;
    width: 450px;
}

.passwordResetFormCard {
    margin: 1em auto;
    width: 600px;
}

.signinInput {
  padding-top: 1em;
}

.signinInput input {
  width: 100%;
}

.signinButton {
  margin-top: 2em;
  width: 100%;
}

#forgotPwdLink {
  display: block;
  text-align: center;
  padding-top: 15px;
}

/* END Login page */

/* Dashboard page */
.dashboardCard {
  margin-top: 75px; /*15px*/
}
.reportSelector {
  padding-bottom: 2em;
}

.facilitySelector .rz-dropdown {
  width: 20rem;
}

.nonSelectableColumn {
    background-color: #F3F3F3 !important;
}

#dashboardGrid .rz-grid-table td:hover:not(.nonSelectableColumn, .reportPeriodColumn) {
    cursor: pointer;
    background: var(--eInsightsLightYellow) !important;
}

.dashboardDataColumn {
    width: 40px;
}

#productivityGrid .rz-grid-table td:hover:not(.nonSelectableColumn, .reportPeriodColumn) {
    cursor: pointer;
    background: var(--eInsightsLightYellow) !important;
}
/* END Dashboard page */

/* Accounts page */
#accountsHeading {
    margin-top: 15px;
}
.disclaimer_card {
    padding: .25rem;
    margin-bottom: 15px;
    width: 740px;
    font-size: 0.8em;
}
.reportLabelCard {
    margin: 0px 0 10px;
}
.reportLabelCardHeader {
    font-size: 1rem;
    text-align: center;
    margin-top: -10px;
    margin-bottom: 10px;
    font-weight: bold;
}

.reportLabelsContainer {
  display: grid;
  gap: .2em 1em;
  grid-template-columns: 295px 220px;
}

.reportLabel .labelTitle {
  display: block;
  font-weight: bold;
  color: grey;
}

.reportLabel .labelValue {
  font-size: 1rem;
}
.reportLabel .rz-dropdown, .rz-multiselect {
    display: block;
    position: relative;
    overflow: hidden;
}

.filterContainer {
    display: grid;
    gap: .2em 1em;
    grid-template-columns: 210px 160px 160px;
}
.exportButton {
  display: block;
  margin-bottom: .5em;
  margin-right: 0;
  margin-left: auto;
  color: var(--primary) !important;
  background-color: transparent !important;
  font-size: large;
  font-weight: normal;
}
.rz-dropdown, .rz-multiselect {
    /*display: block;*/
    position: relative;
    overflow: hidden;
    box-shadow: var(--rz-shadow-1) !important;
}
.rz-textarea {
    width: 100%;
    margin-top: 1px;
}
.needNote {
    border-color: red !important;
}
.account-detail-btn {
    width: 100%;
    padding: 0;
    margin-right: 0;
}
/* Grid selected row */
.accountList .rz-state-highlight td:not(.tooltip-span td) {
    background-color: var(--eInsightsLightBlue) !important;
    background-color: var(--eInsightsMediumYellow) !important;
    background-color: var(--rz-base-300) !important;
}
.accountList td:not(.tooltip-span td) {
    vertical-align: top;
}
.accountList th {
    vertical-align: top;
}
.accountList .headerTitle {
    color: white;
}
/* END Accounts page */

/* Account Details dialog */
.accountDetailTitleDate {
    font-size: small;
    font-weight: normal;
}

.accountStatusPill {
  margin-top: -20px;
  margin-bottom: 20px;
}

.successStatus {
  background-color: var(--success);
}

.attentionStatus {
  background-color: var(--attention);
}

.noActionStatus {
  background-color: var(--noAction);
}

.accountDetailSection {
  border: 1px solid #E0E1E4;
  border-radius: 0.5em;
  padding: 5px;
  margin: 1em 0;
}

.informationDetails {
  display: grid;
  grid-template-columns: 300px 300px 300px;
}

.discoveredPayerRow {
    display: block;
    margin-left: 5px;
}

.discoveredPayerRow span {
    width: 160px;
    display: inline-flex;
}

.informationRow {
    display: inline-flex;
}

.informationRow.dataDiscrepancy {
  border-radius: 10px;
  border: darkorange solid 2px;    /*border: red solid 2px;*/
}

.segmentDiscrepancy {
    color: darkorange; /*color: red;*/
    font-weight: bold;
}

.informationRow .detailLabel {
    font-weight: bold;
    text-align: right;
    float: left;
    width: 110px;
    padding: 0 5px;
}

.informationRow .detailValue {
  float: right;
  width: 160px;
  padding: 0 5px;
}
.serviceinformationRow {
    display: inline-flex;
}
.serviceinformationRow .detailLabel {
    font-weight: bold;
    text-align: right;
    float: left;
    width: 110px;
    padding: 0 5px;
}
.serviceinformationRow .detailValue {
    float: right;
    width: 110px;
    padding: 0 5px;
}
.insuranceInformationRow {
    display: grid;
    grid-template-columns: 15px 240px 120px;
}
.insuranceInformationLabel {
    font-weight: bold;
}
.insuranceInformationDetail {
    font-weight: normal;
}
    .insuranceInformationItem:hover {
        background-color: lightgray;
    }
.patientinformationRow {
    display: inline-flex;
}

.patientinformationRow.dataDiscrepancy {
  border-radius: 10px;
  border: darkorange solid 2px;    /*border: red solid 2px;*/
}

.patientinformationRow .detailLabel {
    font-weight: bold;
    text-align: right;
    float: left;
    width: 130px;
    padding: 0 5px;
}

.patientinformationRow .detailValue {
    float: right;
    width: 210px;
    padding: 0 5px;
}
.payerinformationRowLong {
    display: inline-flex;
}
.payerinformationRow {
    display: inline-flex;
}
.payerinformationRowLong .detailLabel {
    font-weight: bold;
    float: left;
    width: 110px;
    padding: 0 5px;
}

.payerinformationRowLong .detailValue {
    float: right;
    width: 430px;
    padding: 0 5px;
}

.payerinformationRow .detailLabel {
    font-weight: bold;
    float: left;
    width: 110px;
    padding: 0 5px;
}

.payerinformationRow .detailValue {
    float: right;
    width: 160px;
    padding: 0 5px;
}

.rz-dropdown-items-wrapper {
  max-height: 400px !important;
  box-shadow: var(--rz-shadow-5) !important;
  border: solid 1px var(--primary);
}

.accountDetailActions {
  margin-top: 1em;
}

.accountDetailActions #closeBtn {
  float: left;
}

.accountDetailActions #nextBtn {
  float: right;
}

.rzi-grid-sort {
    vertical-align: bottom !important;
}
.rz-grid-filter-icon {
    vertical-align: bottom !important;
}
.notviewed .rz-paginator-pages {
    display: none;
}
/* END Account Details dialog */

/* Invoice page */

.gridIcon {
    color: var(--eInsightsOrange);
    font-size: 22px;
    vertical-align: middle;
    padding-left: 5px;
}

/* END Invoice page */

/* Help page */
.helpSearch {
    padding: 1.5em 0;
}

.helpSearch input {
  width: 25%;
}

.helpSearch .rzi {
  height: 1.5em;
}

.questions {
  /*display: flex;*/
  margin-bottom: 3em;
}

.questions .card {
  width: 45%;
  margin-right: 2em;
}

.moreHelp .rz-card {
  margin-right: 10px;
  display: inline-flex;
  width: 300px;
  height: 75px;
}

.moreHelp .helpDetails {
  width: 200px;
  padding-top: 5px;
  font-size: large;
}

.moreHelp i {
  font-size: 2.5em;
  color: var(--primary);
  margin-left: 15px;
}
.downloadList li{
    padding-bottom: 10px;
}

/* END Help page */

/* Highlights page */

.highlights {
  position: absolute;
  top: 5em;
  right: 1em;
}

.highlights .card {
  width: 450px;
}

.highlights .cardTitle {
  display: inline-block;
  padding-bottom: 10px;
}

.highlights .rz-heading {
  display: inherit;
  padding-left: 5px;
}

.highlights .highlightDetails {
  display: grid;
  gap: .2em 2em;
  grid-template-columns: 130px 150px 125px;
}

.highlightDetails .detailTitle {
  /*font-weight: lighter;*/
}

.highlightDetails .detailValue {
  font-weight: bold;
}

/* END Highlights page */

.tooltip-wrapper {
    position: relative;
    display: inline-block;
    /*border-bottom: 1px dotted black;*/
    cursor: help;
    width: 100%;
    overflow: visible;
}

.tooltip-wrapper .tooltip-span {
    visibility: hidden;
    position: absolute;
    /*width: 120px;*/
    /*width: 100%;*/
    /*bottom: 100%;
left: 50%;
margin-left: -60px;*/
    background-color: #fff; /*#d9e3fd;*/ /*rgba(17, 81, 243, 0.16);*/ /*#1151F3;*/ /*#363636;*/
    color: #000;
    text-align: left;
    font-size: 0.875rem; /*0.875rem;*/
    padding: 5px 10px 5px 5px;
    margin: -5px 0px 0px -5px;
    border-radius: 6px;
    border: 1px solid black;
    z-index: 100;
    overflow: visible;
}
.tooltip-wrapper .tooltip-span table {
    border-spacing: 0;
    padding: 1px;
    border:none;
}
.tooltip-wrapper .tooltip-span table td {
    border-spacing: 0;
    padding: 0;
    padding-left: 2px;
    border:none;
}
.tooltip-header {
    font-weight: bold;
}
/*.tooltip-span span::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}*/
.tooltip-wrapper:hover .tooltip-span {
    visibility: visible;
}
.tooltip-wide p {
    overflow: hidden;
    max-width: 400px;
    text-overflow: ellipsis;
    width: fit-content;
    white-space: normal; /* nowrap */
    margin-bottom: 0
}